/*************************************************************************
**  Sony Unilink Interface (Unilink Header File)
**  by Michael Wolf
**
**  Released under GNU GENERAL PUBLIC LICENSE
**	See LICENSE.TXT for details
**
**  Revision History
**
**  when         what  who	why
**
**  2003-08-05   2.01  MIC  complete code revision
**
**************************************************************************/

// MD device info string
//#define MD_DEVICE_MSG	{0x10, unilink_ownaddr, 0x8C, 0x00, 0x24, 0x2C, 0x22, 0x00} //MDC device info		

// CD device info string
//#define CD_DEVICE_MSG	{0x10, unilink_ownaddr, 0x8C, 0x89, 0x15, 0xAC, 0x17, 0xA0} // CDC device CDX-71, custom file
//#define CD_DEVICE_MSG	{0x10, unilink_ownaddr, 0x8C, 0xD0, 0x05, 0xA8, 0x2D, 0xA3} // CDC device CDX-616, CD-Text

#define CD_DEVICE_MSG	{0x10, unilink_ownaddr, 0x8C, 0xD9, 0x15, 0xAC, 0x1F, 0xA3}
#define MD_DEVICE_MSG	{0x10, unilink_ownaddr, 0x8C, 0xD9, 0x15, 0xAC, 0x1F, 0xA3}

#define C_UNILINK_BCADDR	         		0x18		// broadcast ID
#define	C_UNILINK_MADDR		         		0x10		// masters ID
#define	C_UNILINK_DISPADDR	         	0x70		// display ID
#define	C_UNILINK_OWNADDR_CD         	0x30		// my group ID for CDC
#define	C_UNILINK_OWNADDR_MD         	0xD0   	// my group ID for MDC

#define	C_UNILINK_CMD_BUSRQ			 			0x01		// cmd 1 bus request
#define	C_UNILINK_CMD_BUSRQ_RESET	 		0x00		// cmd 2 re-initialize bus
#define	C_UNILINK_CMD_BUSRQ_ANYONE	 	0x02		// cmd 2 anyone
#define	C_UNILINK_CMD_BUSRQ_ANYONEs	 	0x03		// cmd 2 anyone special
#define	C_UNILINK_CMD_BUSRQ_TPOLLE	 	0x11		// cmd 2 time poll end
#define	C_UNILINK_CMD_BUSRQ_TPOLL	 		0x12		// cmd 2 time poll
#define	C_UNILINK_CMD_BUSRQ_POLL	 		0x13		// cmd 2 request time poll
#define	C_UNILINK_CMD_BUSRQ_POLLWHO	 	0x15		// cmd 2 who want to talk

#define	C_UNILINK_CMD_CONFIG		 			0x02		// cmd 1 config, for appoint
#define	C_UNILINK_CMD_SELECT		 			0xF0		// cmd 1 select source
#define	C_UNILINK_CMD_PLAY			 			0x20		// cmd 1 play
#define	C_UNILINK_CMD_TEXTRQ		 			0x84		// cmd 1 text request
#define	C_UNILINK_CMD_DISPKEY		 			0x80		// cmd 1 display key, switch through display modes
#define	C_UNILINK_CMD_NEXTTRACK		 		0x26		// cmd 1 next track
#define	C_UNILINK_CMD_PREVTRACK		 		0x27		// cmd 1 prev track
#define	C_UNILINK_CMD_POWEROFF1		 		0x87		// cmd 1 power off
#define	C_UNILINK_CMD_POWEROFF2		 		0x6B		// cmd 2 power off

// UNILINK Commdands
#define MISSED_POLL_MSG		{0x10, unilink_ownaddr, 0x04, 0x00}
#define STATUS_MSG				{0x10, unilink_ownaddr, 0x00, unilink_status}
#define SEEK_MSG			{C_UNILINK_DISPADDR, unilink_ownaddr, 0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x08}


